import numpy as np

# from the characterisic equation lambda^2 = 0, lambda = 0

cf = 1.0 # constant force
delta = 1.0 

def lnqp(q, p, length):
    """ apply the Liouville operator to (q, p), i.e. (iL)^n q and (iL)^n p """

    lnq = np.zeros(length, dtype=complex)
    lnp = np.zeros(length, dtype=complex)
    lnq[0] = q
    lnp[0] = p
    lnq[1] = p
    lnp[1] = -cf
    lnq[2] = -cf
    lnp[2] = cf*cf
    return (lnq, lnp)

def force(q):
    return -cf

def energy(q, p):
    return 0.5*p*p + cf*q

def solution(q0, p0, time):
    q_ref = -0.5*cf*time*time + p0*time + q0
    p_ref = - cf*time + p0
    return (q_ref, p_ref)
