from pandasplot import PandasPlot

var_labels = {
    'nterms': r'$N$',
    'totals.operations': 'number of operations',
    'totals.storage': 'number of atomic objects',
    'preparation time': 'preparation time',
    'class': 'MPLP class',
    'nparticles': 'N particles',
    'variant': 'variant'
}

pplt = PandasPlot.from_file('exprstats.json', showy='preparation time',
                            showx='nparticles', labels=var_labels)

legendvars = ['class']
# legendvars = ['variant']
pplt.add_datasets(
    select={'variant': 'default', 'nterms': 5},
    vary={v: sorted(list(set(pplt.df[v].tolist()))) for v in legendvars}
)

pplt.set_axis_type(ytype='log')
pplt.show(legend=True)
